<!--
  Generated template for the KeranjangPesananPage page.

  See http://ionicframework.com/docs/components/#navigation for more info ona
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="2primary">
    <ion-title>Keranjang Pesanan</ion-title>
    <ion-buttons end>
      <button ion-button icon-only (click)="removeAll()" *ngIf="databasecartnya.jumlahbox !=0">
        <div class="buttonHapusSemua" ><p><b color="buttonBrosur">Hapus Semua</b></p></div>
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div class="tablePesanan">
    <ion-grid>
      <ol>

        <ion-row *ngFor="let item of JSONNYAjsonnyaDETAIL; let i = index">
          <ion-col col-6>
              <li>{{item.prodcode}} {{ item.prodname }}({{ item.qtytype }})</li>
          </ion-col>
          <ion-col col-3>
            <p text-right><b>{{ item.qty }} Box</b></p>
          </ion-col>
          <ion-col col-3>
            <a (click)="remove(i)">
              <ion-icon name="md-close"></ion-icon>
              hapus
            </a>
          </ion-col>
        </ion-row>
      </ol>
    </ion-grid>
  </div>


   <!-- *ngIf = "tempJumlah == undefined" -->
   <div class="total">
    <ion-grid>
      <ion-row>
        <ion-col col-6>
          <h3><b>Total</b></h3>
        </ion-col>
        <ion-col col-6>
          <h3><b>{{databasecartnya.jumlahbox}} box</b></h3>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div> 

  <!-- TOMBOL KONFIRMASI PESANAN UNTUK TAMBAH PRODUK -->
  <!-- *ngIf = "tempJumlah > 0" -->
  <button ion-button block color="buttonPesan" (click)="goToKonfirmasiTambahPemesanan()" *ngIf="databasecartnya.jumlahbox !=0">
    Pesanan Selesai
  </button>
</ion-content>
